Loading...
Searching...
No Matches

## dlapy2()

double precision function dlapy2 | ( | double precision | x,
|  | double precision | y )

DLAPY2 returns sqrt(x2+y2).

Download DLAPY2 + dependencies [TGZ] [ZIP] [TXT]

Purpose:

      !>
      !> DLAPY2 returns sqrt(x**2+y**2), taking care not to cause unnecessary
      !> overflow and unnecessary underflow.
      !>

Parameters

  [in]

  X

      !>          X is DOUBLE PRECISION
      !>

  [in]

  Y

      !>          Y is DOUBLE PRECISION
      !>          X and Y specify the values x and y.
      !>

Author
  Univ. of Tennessee
  Univ. of California Berkeley
  Univ. of Colorado Denver
  NAG Ltd.